# Variant Report

**Variant report queries** are good for pulling data over custom date ranges, to comparisons across variants, regardless of headline test.<br>

## Get raw data

<mark style="color:blue;">`GET`</mark> `https://api.chartbeat.com/mab/htapi/v1/experiments/variant_report/`

**Note:** The payload can quickly become large, please use date ranges and limit parameter for good result set.

#### Query Parameters

| Name                                    | Type   | Description                                                                                                                                                                                                      |
| --------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apikey (*see note*)                     | string | **NOTE**: Your API key should no longer be set as a query param; instead, [pass it in the HTTP header](https://docs.chartbeat.com/cbp/api/getting-started-with-our-headline-testing-api#required-api-parameters) |
| start<mark style="color:red;">\*</mark> | string | YYYY-MM-DD                                                                                                                                                                                                       |
| end<mark style="color:red;">\*</mark>   | string | YYYY-MM-DD                                                                                                                                                                                                       |
| host<mark style="color:red;">\*</mark>  | string | The site on which you are querying                                                                                                                                                                               |
| tz<mark style="color:red;">\*</mark>    | string | The timezone you'd like to run the query in a valid Olson timezone format, e.g. America/New\_York.                                                                                                               |
| test\_type                              | string | Chose from "headline","image","headline\_and\_image". Defaults to "all" which includes all 3.                                                                                                                    |

{% tabs %}
{% tab title="200 Successful response schema" %}

```json
{
  "status": "string",
  "data": {
    "test_id": "string",
    "test_type": "string",
    "created_at": "2023-07-21T20:22:41.589Z",
    "domain": "string",
    "path": "string",
    "headline_id": "string",
    "headline": "string",
    "is_winner": true,
    "views": 0,
    "clicks": 0,
    "engaged_clicks": 0,
    "ctr_mean_percent": 0,
    "winning_variant": "string",
    "status": "string"
  }
}
```

{% endtab %}
{% endtabs %}
